<h2 class="text-center">Formulaire d'inscription</h2>
<div *ngIf="success" class="text-center alert alert-success">
  Votre compte a été créé avec succès ! <br>
 <a routerLink="/espaceclient/login" class="btn btn-success">Accédez à votre espace client !</a>
</div>
<div *ngIf="errors" class="text-center alert alert-danger">
  Une erreur est survenue !
  <br>
  {{ errors }}
</div>
<form *ngIf="!success" class="form col-md-6 offset-3 needs-validation">
  <div class="form-group">
    <label>Adresse Email</label>
    <input name="username" [(ngModel)]="client.email" id="input-username"
           class="form-control form-control-feedback" placeholder="Email" type="email"
           autofocus required >
    <label for="input-firstname">Prénom</label>
    <input name="firstname" [(ngModel)]="client.first_name" id="input-firstname"
           class="form-control" placeholder="Prénom"
           autofocus required >
    <label for="input-lastname">Nom</label>
    <input name="text" [(ngModel)]="client.last_name" id="input-lastname"
           class="form-control" placeholder="Nom"
           autofocus required >

    <div class="form-group">
      <label for="input-number">Numéro de téléphone (Il nous permet de vous contacter en cas de problème)</label>
      <input name="number" [(ngModel)]="client.phone" type="string" id="input-number"
             class="form-control" placeholder="Numéro de téléphone">

    </div>
    <div class="form-group">
      <label for="input-va">Numéro de carte VA (laissez vide si vous n'en avez pas) - ex: "c000000000"</label>
      <input name="va" [(ngModel)]="client.numero_VA" type="string" id="input-va"
             class="form-control" placeholder="Numéro de carte VA">
    </div>
  </div>
  <div class="form-group">
    <label for="input-password">Mot de passe</label>
    <input name="password" [(ngModel)]="password" type="password" id="input-password"
           class="form-control" placeholder="Mot de passe" required>
  </div>
  <div class="form-group">
    <label for="input-password2">Retapez le mot de passe</label>
    <input name="password2" [(ngModel)]="password2" type="password" id="input-password2"
           class="form-control" placeholder="Mot de passe" required>
  </div>
  <div>
    <button class="btn btn-success" (click)="onSubmit()" >S'enregistrer</button>
    <a class="btn btn-light" routerLink="/">Retourner à l'accueil</a>
  </div>
  <p>Note: si vous n'avez pas entré les <b>même informations</b> que celles stockées sur Adhésion, le serveur refusera votre carte VA.
    Il faut notamment mettre la même adresse mail que celle que vous avez fournie lors de l'achat de votre carte VA.
    Si vous avez acheté votre carte VA pour cette année, <b>passez au BdE</b> pour vérifier votre fiche adhérent.
  </p>
</form>

